<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAddressesTable extends Migration {

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up() {
        Schema::create('addresses', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('customer_id');
            $table->foreign('customer_id')
                    ->unsigned()
                    ->index()
                    ->references('id')
                    ->on('customers')
                    ->constrained('customers')
                    ->onUpdate('cascade')
                    ->onDelete('cascade');
            $table->string('address1');

            $table->string('address2')->nullable();
            $table->string('postcode');
            $table->string('city');
            $table->integer('isDefault')->default(1);
            $table->integer('status')->default(1);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down() {
        Schema::dropIfExists('addresses');
    }

}
